# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Mar 11 12:36:24 2022
# ------------------------------------------------

package:
  name: jupyter_console
  version: 6.4.3
source:
  sha256: 55f32626b0be647a85e3217ddcdb22db69efc79e8b403b9771eb9ecc696019b5
  url: https://pypi.io/packages/source/j/jupyter_console/jupyter_console-6.4.3.tar.gz
build:
  entry_points:
    - jupyter-console = jupyter_console.app:main
  noarch: python
  number: '0'
  script: /opt/conda/conda-bld/jupyter_console_1647002188872/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
  string: pyhd3eb1b0_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.2.1 h06a4308_0
    - certifi 2021.5.30 py310h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuuid 1.0.3 h7f8727e_2
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - pip 21.2.4 py310h06a4308_0
    - python 3.10.0 h12debd9_5
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py310h06a4308_0
    - sqlite 3.38.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - ipykernel
    - ipython
    - jupyter_client >=7.0.0
    - prompt_toolkit >=2.0.0,<3.1.0,!=3.0.0,!=3.0.1
    - pygments
    - python >=3.6
test:
  commands:
    - pip check
    - jupyter-console -h
  imports:
    - jupyter_console
  requires:
    - pip
about:
  description: 'Jupyter console is a terminal frontend for kernels using the Jupyter
    protocol.

    '
  dev_url: https://github.com/jupyter/jupyter_console
  doc_source_url: https://github.com/jupyter/jupyter_console/blob/master/docs/index.rst
  doc_url: https://jupyter-console.readthedocs.org/
  home: https://jupyter.org
  license: BSD-3-Clause
  license_file: LICENSE
  summary: Jupyter terminal console
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - Carreau
    - SylvainCorlay
    - blink1073
    - jakirkham
    - minrk
    - ocefpaf
    - pelson
    - takluyver
